Update a dependant Run in API Explorer
Ask AI
Body
-
The UUIDs of the accounts who should own the dependant. These must only be client accounts.
-
The first name of the dependant.
Maximum length is
255. -
The last name of the dependant.
Maximum length is
255. -
An optional nickname for the dependant.
Maximum length is
255. -
The relationship of the dependant.
Maximum length is
255. -
The date of birth of the dependant. Must be in Y-m-d format. Example: 1990-12-25.
-
Denotes if the dependant is financially dependant on the client.
-
Optional notes for the dependant.
Maximum length is
5000.
PUT
/api/v2/dependants/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v2/dependants/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"account_uuids":["2522f4b6-f216-467c-8106-8b032143868a","41c89b1c-4899-42e5-822c-5c4742427f14","9786e882-bf4c-4611-b132-eb7363006042"],"first_name":"Christopher","last_name":"Nolan","known_as":"Chris","relationship":"Brother","date_of_birth":"2006-06-08","is_financially_dependant":true,"notes":"Example notes"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"account_uuids": [
"2522f4b6-f216-467c-8106-8b032143868a",
"41c89b1c-4899-42e5-822c-5c4742427f14",
"9786e882-bf4c-4611-b132-eb7363006042"
],
"first_name": "Christopher",
"last_name": "Nolan",
"known_as": "Chris",
"relationship": "Brother",
"date_of_birth": "2006-06-08",
"is_financially_dependant": true,
"notes": "Example notes"
}
Response examples (200)
{
"uuid": "74fe4c1c-d23e-4c37-b041-149ce54e1efe",
"created_at": "2026-06-08T16:08:03+01:00",
"updated_at": "2026-06-08T16:08:03+01:00",
"first_name": "Christopher",
"last_name": "Nolan",
"name": "Christopher Nolan",
"known_as": "Chris",
"relationship": "Brother",
"date_of_birth": "2014-06-08T16:08:03+01:00",
"is_financially_dependant": true,
"notes": "Example notes",
"accounts": {
"uuid": "92fb485c-277a-408c-abce-fc49ed46d3bc",
"created_at": "2026-06-08T16:08:03+01:00",
"updated_at": "2026-06-08T16:08:03+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
},
"shared_owner_type": "individual",
"shared_owner": {
"uuid": "83f22fcd-d46c-4b03-bb39-dd2f138833a3",
"created_at": "2026-06-08T16:08:03+01:00",
"updated_at": "2026-06-08T16:08:03+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": "App\\Http\\Resources\\FirmResource",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"business_unit": "App\\Http\\Resources\\BusinessUnitResource",
"groups": "App\\Http\\Resources\\GroupResource",
"tags": "App\\Http\\Resources\\TagResource",
"owners": "App\\Http\\Resources\\AccountResource",
"first_contact_date": "2026-06-08T16:08:03+01:00",
"next_review_date": "2026-06-08T16:08:03+01:00",
"previous_review_date": "2026-06-08T16:08:03+01:00",
"anniversary_review_date": "2026-06-08T16:08:03+01:00",
"terms_of_business_at": "2026-06-08T16:08:03+01:00",
"client_agreement_at": "2026-06-08T16:08:03+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"circles": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"inactive_at": "2026-06-08",
"last_interaction_at": "2026-06-08 16:08:03",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
}
}